# Base1

Scripts to prepare BASE-I data for transfer to ZPID

# Criteria for checking variables

- Value range (min-max)
- NA-labelling
- Outliers (distribution)
- data type
- language value-labels
- direction of coding (reversed items)
- consistency with documentation
- at which time points available

# Notes 2021-09-02

- generate tentative plan on September 23rd


# Notes 2021-08-26

- how are we dealing with missing values? 
- work on an automated way of referring the variables with their translations

# Notes 2021-09-15 Meeting with Katarina Blask

- **How to handle missing values?**

  Use NA for missing values

- **Dealing with outliers?**
  
  Use Tukey's method to define outliers

- **Keep aggregate values?**

  Discard if you don't know about them. However, query Martin Becker to explain how the variables were constructed.

- **Data description in separate file?**

  Use JSON file with the following definition:
  > name, label, instruction (e.g. item wording), valid values, missing values, value label for valid values, value labels for
  missing values and it should also be apparent which measure was used to collect the data presented within the variable either
  by making use of a corresponding naming scheme or adding a metadate “measure/instrument” to each variable description

# Notes 2021-09-17 Meeting with Martin Becker

- **1. What is the significance of the .POR files?**

  The .POR files contain information in addition to the .SAR files. This will also have to be included in the data.

- **2. Is there a standard for coding missing values that is used across all datasets?**
  
  There is no general standard followed across all the datasets.

- **3. Is there a list of participants per time point?**
  
  Yes, Martin will be providing this list.

- **4. Can materials (e.g. a specific questionnaire) be related to variable names?**
  
  Possible in some cases but difficult in others. Martin will provide a lab file that might be helpful.

- **5. Regarding variable constructs: Can we reconstruct the way that constructs were build?**

  Not clear in all cases. But Martin recommends that even in the case where there is no clear description of the constructs, they should not be  
  omitted from the data.

Next meeting on 7th October.

# Notes 2021-09-27: Coming up with ideas

- "participants_at_timepoints.sav" and .LAB files have been added to Seafile
  (as discussed in the meeting with Martin)

- Current sources of information available to us :
  
  - Documentation (HTML files)
  - Lifebrain Excel
  - data files themselves
  - Questionnaires
  - LAB files 
  - Participants per timepoint
  - Martins emails
  <br>
- The final objective is to have a script that generates :
  1. Cleaned dataset (actual data with all the quality checks - most probably in .tsv or .csv format)
  2. Data description (Metadata about all the variables - .json format)
  <br>
- The script should ideally work for both .POR and .SAV files.

- For now, we focus on making a single file containing all the variables along with all the extracted information or metadata. 
  In this file, we can then look at the blank spaces (wherever the information could not be extracted) and try to figure out a way forward.
  
- Rohil will add a complete list of information to be extracted for each variable. This list will be cross-checked and agreed upon by all others.
 
# Notes 2022-03-03 Meeting with Martin Becker

- Martin mentions as additional source if information the manual for the sociological data

- Martin encourage to go from documentation to data when trying to match the two sources

- For T5-T7 there are only psychological data

- For T8 there are psychological data as well as the intake assessment

- There are also genetical data with Lars bertram in Lübeck

[- we can try to install regular meetings if needed]

# Notes 2022-05-31 Meeting with Katharina Blask

## To do:

Rohil & Raafay:

- split data accoding to documentation tables & adapt json files accordingly

- insert columns: Research Unit, Domain, Topic, Instrument 

- Declare missing labels as such: Insert "missing value: " in description

Julia & Maike:

- Translate value labels

- complete english translations

- link measurement instruments





